Bug 52130 - Support 'disabled' attribute on SVGStyleElement
: Support 'disabled' attribute on SVGStyleElement
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: SVG
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-09 09:09 PST by Simon Fraser (smfr)
Modified: 2012-02-02 20:51 PST (History)
10 users (show)

See Also:


Attachments
proposed patch adding disabled (6.88 KB, patch)
2012-02-02 16:54 PST, Bear Travis
no flags Details | Formatted Diff | Diff
updated patch (7.14 KB, patch)
2012-02-02 17:51 PST, Bear Travis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2011-01-09 09:09:42 PST
DOM1/DOM2 describe a 'disabled' attribute on HTMLStyleElements <http://www.w3.org/TR/DOM-Level-2-HTML/html.html#ID-16428977>. This is being fixed for HTML via bug 25287, but we should probably make it work for SVG also.
Comment 1 Rob Buis 2011-05-19 15:37:37 PDT
This is probably an easy fix. However before even starting I am verifying on www-svg, because the exact wording makes it a bit hard to figure out whether this is in the SVG spec or not.
Chhers,

Rob.
Comment 2 Dirk Schulze 2012-02-01 18:35:55 PST
(In reply to comment #1)
> This is probably an easy fix. However before even starting I am verifying on www-svg, because the exact wording makes it a bit hard to figure out whether this is in the SVG spec or not.

It isn't in SVG, but it is really just copy&paste from HTMLStyleElement(idl,h,cpp) to SVGStyleElement(idl,h,cpp). But it seems to be very useful. We should suggest it on www-svg and implement it as a demonstration.
Comment 3 Bear Travis 2012-02-02 16:54:55 PST
Created attachment 125210 [details]
proposed patch adding disabled
Comment 4 Bear Travis 2012-02-02 17:05:42 PST
The proposed patch adds the disabled attribute to SVGStyleElement(.idl, .h, .cpp).
The code is almost identical to:
https://bugs.webkit.org/show_bug.cgi?id=25287

The patch does not include the reflection tests from 25287 because SVGStyleElement does not yet have a "sheet" attribute in the .idl.
Comment 5 Bear Travis 2012-02-02 17:51:30 PST
Created attachment 125220 [details]
updated patch

updating patch changelogs to be more descriptive
Comment 6 Dirk Schulze 2012-02-02 20:03:55 PST
Comment on attachment 125220 [details]
updated patch

Great patch! r=me

Please set the r? and cq? flags if you want this patch get reviewed in the future.
Comment 7 WebKit Review Bot 2012-02-02 20:51:34 PST
Comment on attachment 125220 [details]
updated patch

Clearing flags on attachment: 125220

Committed r106623: <http://trac.webkit.org/changeset/106623>
Comment 8 WebKit Review Bot 2012-02-02 20:51:41 PST
All reviewed patches have been landed.  Closing bug.